Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.utils
Class ContentMarshallerHelper

    java.lang.Object
      org.jbpm.services.task.utils.ContentMarshallerHelper

    public class ContentMarshallerHelper

extends Object

Constructor Summary
`ContentMarshallerHelper()`

Method Summary
`static org.kie.internal.task.api.model.ContentData` | `marshal(Object o, Environment env)`
`static org.kie.internal.task.api.model.FaultData` | `marshalFault(Map<String,Object> fault, Environment env)`
`static byte[]` | `marshallContent(Object o, Environment env)`
`static Object` | `unmarshall(byte[] content, Environment env)`
`static Object` | `unmarshall(byte[] content, Environment env, ClassLoader classloader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentMarshallerHelper

    public ContentMarshallerHelper()

Method Detail

### marshal

    public static org.kie.internal.task.api.model.ContentData marshal(Object o,
                                                                      Environment env)

### marshalFault

    public static org.kie.internal.task.api.model.FaultData marshalFault(Map<String,Object> fault,
                                                                         Environment env)

### unmarshall

    public static Object unmarshall(byte[] content,
                                    Environment env)

### unmarshall

    public static Object unmarshall(byte[] content,
                                    Environment env,
                                    ClassLoader classloader)

### marshallContent

    public static byte[] marshallContent(Object o,
                                         Environment env)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.